Bug 741693 - gnome-terminal font spacing uneven, some characters overlapping; Fontconfig error: Cannot load default config file
gnome-terminal font spacing uneven, some characters overlapping; Fontconfig e...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
15
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-27 11:39 EDT by Phil V
Modified: 2012-08-07 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:15:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil V 2011-09-27 11:39:21 EDT
Description of problem:
After 'yum update' on 9/26, rebooted for the first time since 9/13. (At 9/13, not updated since sometime in August)
After reboot, gnome-terminal font spacing is always irregular: e.g., the word 'Available' appears "Avai l abl e"
and 'm.' appears with the period inside of the m. '@localhost' appears with @ overstriking the next character.

Rebooting with older kernels does not fix this.

Tried to run 'yum undo' but not every step successful.

Version-Release number of selected component (if applicable):
gnome-terminal-3.0.1-1.fc15.x86_64

How reproducible:


Steps to Reproduce:
1. start gnome-terminal
2. See text in command prompt. Type for more.

Expected results: Ordinary spacing between characters


Additional info:
Comment 1 Phil V 2011-09-27 12:11:52 EDT
Since the system locked up during a yum install Adobereader-enu operation I tried a 
yum reinstall *

The beginning output was lost out of the scrollback buffer, but the tail contains errors:
  Installing : 1:libreoffice-opensymbol-fonts-3.3.3.1-5.fc15.noarch                                                                                                                                                              1244/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : wqy-zenhei-fonts-0.9.46-2.fc15.noarch                                                                                                                                                                             1245/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : liberation-mono-fonts-1.07.0-1.fc15.noarch                                                                                                                                                                        1246/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : liberation-sans-fonts-1.07.0-1.fc15.noarch                                                                                                                                                                        1247/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : khmeros-base-fonts-5.0-11.fc15.noarch                                                                                                                                                                             1248/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : un-core-dotum-fonts-1.0.2-0.16.080608.fc15.noarch                                                                                                                                                                 1249/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : thai-scalable-waree-fonts-0.4.15-2.fc15.noarch                                                                                                                                                                    1250/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : dejavu-sans-mono-fonts-2.33-1.fc15.noarch                                                                                                                                                                         1251/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : vlgothic-fonts-20110722-1.fc15.noarch                                                                                                                                                                             1252/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : paratype-pt-sans-fonts-20100408-2.fc15.noarch                                                                                                                                                                     1253/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : dejavu-sans-fonts-2.33-1.fc15.noarch                                                                                                                                                                              1254/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : dejavu-serif-fonts-2.33-1.fc15.noarch                                                                                                                                                                             1255/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : stix-fonts-1.0.0-2.fc15.noarch                                                                                                                                                                                    1256/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
  Installing : liberation-serif-fonts-1.07.0-1.fc15.noarch                                                                                                                                                                       1257/1284 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file
Comment 2 Behdad Esfahbod 2011-09-27 12:25:13 EDT
Somehow your fontconfig config file is messed up.  Try reinstalling fontconfig.
Comment 3 Phil V 2011-09-27 18:17:41 EDT
Repeated 'yum reinstall fontconfig' gives the following output (and errors) each time:


Package(s) data still to download: 183 k
fontconfig-2.8.0-3.fc15.x86_64.rpm                                                                                                                                                                                  | 183 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : fontconfig-2.8.0-3.fc15.x86_64                                                                                                                                                                                          1/1 
Fontconfig error: line 1: no element found
Fontconfig error: Cannot load default config file

Installed:
  fontconfig.x86_64 0:2.8.0-3.fc15                                                                                                                                                                                                         

Complete!
Comment 4 Fedora Admin XMLRPC Client 2012-01-10 10:45:07 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2012-01-10 10:47:46 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2012-08-07 13:15:04 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.